Chuyển đến nội dung
Diễn đàn CADViet
tran_taond

cách lấy tọa độ các điểm trong autocad

Các bài được khuyến nghị

Chào các bậc tiền bối trên diễn đần và các bậc tiền bối sử dung Autocad. Em là ma mới của diễn đàn và cũng là môn sing mới của Autocad. Em có một bài toán này rất mong các bậc tiền bối chỉ giáo!!!

Em có 1 fiel bản đồ trên nền CAD 2004 ( vì các chương trình hỗ trợ khác của cơ quan em chạy trên nền CAD này), giờ em muốn xuất tọa độ của các điểm mút của các đường Line hay polyline ra 1 file dạng *.TXT, thì em phải làm thế nào?

Rất mong các tiền bối chỉ giúp. Em xin cam ơn nhiều!!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Muốn lấy toạ độ 1 polyline ra dạng text thì làm thế này nhé.Gõ LI chọn polyline.Sẽ xuất hiện 1 bảng tọa độ các điểm sau chữ "at point".COpy và dán qua 1 file text .Muốn xem tọa độ 1 điểm thì gõ ID pick ngay điểm cần lấy tọa độ.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Chào các bậc tiền bối trên diễn đần và các bậc tiền bối sử dung Autocad. Em là ma mới của diễn đàn và cũng là môn sing mới của Autocad. Em có một bài toán này rất mong các bậc tiền bối chỉ giáo!!!

Em có 1 fiel bản đồ trên nền CAD 2004 ( vì các chương trình hỗ trợ khác của cơ quan em chạy trên nền CAD này), giờ em muốn xuất tọa độ của các điểm mút của các đường Line hay polyline ra 1 file dạng *.TXT, thì em phải làm thế nào?

Rất mong các tiền bối chỉ giúp. Em xin cam ơn nhiều!!!

Sử dụng chức năng tìm kiếm của diễn đàn với từ khóa "coorn" bạn sẽ tìm được 1 số lisp tuyệt vời. :s_big:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn làm theo kiểu thủ công nhé.

- Đánh lệnh L rồi nhập tọ độ X của bạn vào, nhập xong bấm phím dấu "," rồi nhập tiếp tọa độ Y. xong rồi enter thì con chuột sẽ pick vào điểm có tọa độ bạn yêu cầu làm điểm đầu tiên của lệnh L. Từ đó bạn sẽ biết được điểm đó nằm ở đâu.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

fi --> trong select filter chọn point position rồi bạn nhập tọa độ (x,y) đã biết (z=0 trog 2D) rồi bấm Add to list, xong Apply, rồi chọn all trong 1 đống điểm nó sẽ chọn điểm có tọa độ (x,y) đã biết của bạn...đơn giản vậy thui mà :)

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chào các bạn chia sẻ với các bạn Addins Lấy tọa độ điểm cực nhanh trong AUTOCAD

Xuất bảng tọa độ sang excel luôn , cực kỳ tiện lợi

của các kỹ sư HÀN QUỐC chia sẻ



Trả lời  

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

fi --> trong select filter chọn point position rồi bạn nhập tọa độ (x,y) đã biết (z=0 trog 2D) rồi bấm Add to list, xong Apply, rồi chọn all trong 1 đống điểm nó sẽ chọn điểm có tọa độ (x,y) đã biết của bạn...đơn giản vậy thui mà :)

Lấy tọa độ điểm cực nhanh trong AUTOCAD https://


Trả lời  

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

xin các bro dúp em với ! em cảm ơn trước ạ . em có cái lisp xuất tọa độ củng coi như là gần hoàn hảo nhưng có nhược là chạy chạy tộ ngược chìu kiêm đồng hồ, các bro nào có thể dúp em chỉnh lại cho líp chạy cùng chìu kim đồng hồ dúp em ạ !  :)  ! 

 

(defun *error* (msg)
  (princ "error: ")
  (princ msg)
  (princ)
)
 
(defun Wdis (p1 p2 / dis ang point point1)
  (setq dis (distance p1 p2))
  (setq ang (angle p1 p2))
  (if (and (> ang (/ Pi 2)) (< ang (* Pi 1.5)) )
    (progn
      (setq ang (+ Ang Pi)) 
      (setq Point (polar p2 ang (/ dis 2.0)))
      (setq Point1 (polar point (+ (/ pi 2) ang) (* 0.25 (/ TileBdHT 500))))
 
    )
(progn
    (setq Point (polar p1 ang (/ dis 2.0)))
    (setq Point1 (polar point (+ (/ pi 2) ang) (* 0.25 (/ TileBdHT 500))))
)
  )
  (command "Text" "S" "vnarial" "c" point1 (/ TileBdHT 500) (* (/ ang Pi) 180) (rtos dis 2 2) )
)
(defun ssgetLayer( La1 La2 / ss)
  (setq ss (ssget "X" (list
                         (cons -4  "<OR")  
                           (cons -4  "<AND")  
                             (cons 8 La1)  
                             (cons 0  "LWPOLYLINE")
                           (cons -4  "AND>")  
                           (cons -4  "<AND")  
                             (cons 8 La1)  
                             (cons 0  "LINE")
                           (cons -4  "AND>")  
                           (cons -4  "<AND")  
                             (cons 8 La2)  
                             (cons 0  "LWPOLYLINE")
                           (cons -4  "AND>")  
                           (cons -4  "<AND")  
                             (cons 8 La2)  
                             (cons 0  "LINE")
                           (cons -4  "AND>")  
                         (cons -4  "OR>")  
                       )
  ))
  ss
)
(defun pointpl (name t0 k / namem i bien t1 p1 diem)
(setq namem name)
(setq i 1)
(while (<= i k)
(progn
(setq bien (assoc t0 namem))
(setq t1 (member bien namem))
(setq p1 (car t1))
(setq namem (cdr t1))
(setq diem (cdr p1))
(setq i (+ 1 i))
)
)
diem
)
(defun c:Td( / i k luuxy st p xoa)
(setvar "cmdecho" 0)
(setq st (ssgetLayer "Ranh_toado" "THUA") )
(if (/= st  nil)
(progn
(if (null (tblsearch "style" "vnarial"))
(command "_style" "vnarial" "vaptimn.ttf" "" "" "" "" ""))
(if (null (tblsearch "style" "vnarial"))
(command "_style" "vnarial" "vhelveb.ttf" "" "" "" "" ""))
(if (null (tblsearch "layer" "sohieu_diem"))
(command "_layer" "n" "sohieu_diem" ""))
(command "_layer" "c" "2" "sohieu_diem" "")
(if (null (tblsearch "layer" "canh"))
(command "_layer" "n" "canh" ""))
(command "_layer" "c" "3" "canh" "")
(if (null (tblsearch "layer" "bang_toado"))
(command "_layer" "n" "bang_toado" ""))
(command "_layer" "c" "7" "bang_toado" "")
(command "_layer" "c" "6" "ranh_38" "")
(command "_layer" "c" "6" "Ranh_toado" "")
(if (null (tblsearch "layer" "Polygon"))
(command "_layer" "n" "Polygon" ""))
(command "_layer" "c" "8" "Polygon" "")
(setq r1 (getvar "USERR1"))
(setq TileBdHT (getreal (strcat "\nMau So Ti Le Cua BDHT" "(" (rtos r1 2 0) "):")))
(if (= TileBdHT nil)
(setq TileBdHT r1))
(setvar "USERR1" TileBdHT)
 
(setvar "blipmode" 0)
(setq old (getvar "osmode"))
(setvar "osmode" 0)
(setq p (getpoint "\n Pick"))
(command "_layer" "s" "Polygon" "")
(if (/= p nil)
(command "-Boundary" "a" "b" "n" st "" "" p "" )
)
(setq luuxy (entget (entlast)))
(setq p (getpoint "\n Vi tri bang toa do :"))
; (entdel (entlast))
(setq k (cdr (assoc 90 luuxy)))
(if (/= p nil)
(progn
(setq p01 p)
(setq p02 (mapcar '+ p '(10.0 0.0 0.0)))
(setq p03 (mapcar '+ p '(22.5 -2.5 0.0)))
(setq p04 (mapcar '+ p '(35.0 0.0 0.0)))
(setq p05 (mapcar '+ p '(45.0 0.0 0.0)))
(setq p06 (mapcar '+ p '(0.0 -5.0 0.0)))
(setq p07 (mapcar '+ p '(10.0 -2.5 0.0)))
(setq p08 (mapcar '+ p '(35.0 -2.5 0.0)))
(setq p09 (mapcar '+ p '(45.0 -5.0 0.0)))
(if (<= k 10)
(progn
(setq p10 (mapcar '+ p '(0.0 -40.0 0.0)))
(setq p11 (mapcar '+ p '(10.0 -40.0 0.0)))
(setq p12 (mapcar '+ p '(22.5 -40.0 0.0)))
(setq p13 (mapcar '+ p '(35.0 -40.0 0.0)))
(setq p14 (mapcar '+ p '(45.0 -40.0 0.0)))
)
(progn
(setq ty (* -1 (+ 10.0 (* k 3))))
(setq t0 (list 0.0 ty 0.0))
(setq t1 (list 10.0 ty 0.0))
(setq t2 (list 22.5 ty 0.0))
(setq t3 (list 35.0 ty 0.0))
(setq t4 (list 45.0 ty 0.0))
(setq p10 (mapcar '+ p t0))
(setq p11 (mapcar '+ p t1))
(setq p12 (mapcar '+ p t2))
(setq p13 (mapcar '+ p t3))
(setq p14 (mapcar '+ p t4))
)
)
(command "layer" "s" "bang_toado" "")
(command "Line" p01 p05 "")
(command "Line" p01 p10 "")
(command "Line" p02 p11 "")
(command "Line" p03 p12 "")
(command "Line" p04 p13 "")
(command "Line" p05 p14 "")
(command "Line" p07 p08 "")
(command "Line" p06 p09 "")
(command "Line" p10 p14 "")
(command "Text" "S" "vhelveb" "j" "M" (mapcar '+ p '(22.5 2.0 0.0)) 1.25 0 "BAÛNG LIEÄT KEÂ TOÏA ÑOÄ GOÙC RANH")
(command "Text" "S" "vhelveb" "j" "M" (mapcar '+ p '(5.0 -1.5 0.0)) 1.15 0 "Soá hieäu")
(command "Text" "S" "vhelveb" "j" "M" (mapcar '+ p '(5.0 -3.5 0.0)) 1.15 0 "ñieåm")
(command "Text" "S" "vhelveb" "j" "M" (mapcar '+ p '(22.5 -1.25 0.0)) 1.15 0 "Toïa ñoä")
(command "Text" "S" "vhelveb" "j" "M" (mapcar '+ p '(16.25 -3.75 0.0)) 1.15 0 "X(m)")
(command "Text" "S" "vhelveb" "j" "M" (mapcar '+ p '(28.75 -3.75 0.0)) 1.25 0 "Y(m)")
(command "Text" "S" "vhelveb" "j" "M" (mapcar '+ p '(40.0 -2.5 0.0)) 1.25 0 "Caïnh")
)
)
(setq i 1)
(while (<= i k)
(progn
(setq toado (pointpl luuxy 10 i))
(setq x (rtos (car toado) 2 2))
(setq y (rtos (cadr toado) 2 2))
(command "layer" "s" "sohieu_diem" "")
(setq doi (list (* 0.2 (/ TileBdHT 500)) (* 0.2 (/ TileBdHT 500)) 0.0))
(command "Text" "S" "vnarial" (mapcar '+ toado doi) (/ TileBdHT 500) 0 i)
(command "donut" "0.0" (* 0.25 (/ TileBdHT 500)) toado "")
(setq tsh (list 5.0 (- (* -3 i) 4.5) 0.0))
(setq txx (list 16.25 (- (* -3 i) 4.5) 0.0))
(setq tyy (list 28.75 (- (* -3 i) 4.5) 0.0))
(setq tgc (list 40.0 (- (* -3 i) 3.0) 0.0))
(setq psh (mapcar '+ p tsh))
(setq pxx (mapcar '+ p txx))
(setq pyy (mapcar '+ p tyy))
(setq pgc (mapcar '+ p tgc))
(if (= i 1)
(progn
(setq toado1 toado)
(setq x1 (rtos (car toado1) 2 2))
(setq y1 (rtos (cadr toado1) 2 2))
)
)
(if (>= i 2)
(progn
(setq canh (distance toado0 toado))
(command "layer" "s" "bang_toado" "")
(command "Text" "S" "vnarial" "j" "M" pgc 1.2 0 (rtos canh 2 2) )
(command "layer" "s" "canh" "")
(wdis toado0 toado)
)
)
(command "layer" "s" "bang_toado" "")
(command "Text" "S" "vnarial" "j" "M" psh 1.2 0 i)
(command "Text" "S" "vnarial" "j" "M" pxx 1.2 0 y)
(command "Text" "S" "vnarial" "j" "M" pyy 1.2 0 x)
(setq toado0 toado)
(setq i (+ i 1))
)
)
(command "layer" "s" "canh" "")
(wdis toado toado1)
(setq canh (distance toado toado1))
(setq tsh (list 5.0 (- (* -3 (+ k 1)) 4.5) 0.0))
(setq txx (list 16.25 (- (* -3 (+ k 1)) 4.5) 0.0))
(setq tyy (list 28.75 (- (* -3 (+ k 1)) 4.5) 0.0))
(setq tgc (list 40.0 (- (* -3 (+ k 1)) 3.0) 0.0))
(setq psh (mapcar '+ p tsh))
(setq pxx (mapcar '+ p txx))
(setq pyy (mapcar '+ p tyy))
(setq pgc (mapcar '+ p tgc))
(command "layer" "s" "bang_toado" "")
(command "Text" "S" "vnarial" "j" "M" pgc 1.2 0 (rtos canh 2 2) )
(command "Text" "S" "vnarial" "j" "M" psh 1.2 0 "1")
(command "Text" "S" "vnarial" "j" "M" pxx 1.2 0 y1)
(command "Text" "S" "vnarial" "j" "M" pyy 1.2 0 x1)
(setvar "osmode" old)
) ;(end progn)
) ;(end if)
(if (= st nil)
(progn
(setvar "cmdecho" 1)
(princ "Khong co layer Ranh_toado")
)
)
(command "_layer" "s" "0" "")
 
)
(defun c:capnhat()
(setq is (ssgetLayer "Polygon" "Polygon") )
(setq namecn (getfiled "FILE CAP NHAT" "" "DWG" 3))
(command "Wblock" namecn "" '(0 0) is "")
(command "oops")
(command "save")
; (setq namegoc (getfiled "FILE BAN DO GOC" "" "DWG" 3))
(setq TenQuan (strcat " " (getString T "\nTen Quan : ")))
(setq TenPhuong (strcat " " (getString T "\nTen Phuong : ")))
(setq TenTo (strcat " " (getString T "\nTo So : ")))
(setq namegoc (strcat "q" TenQuan "-" TenPhuong "-" TenTo ".dwg"))
(command "open" namegoc)
)
Chỉnh sửa theo tranducban
  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tải Lisp Coorn về máy tính, dùng lệnh Ap load lisp, rồi Pick điểm lên Autocad chọn số thứ tự điểm, xuất sang Excel hoặc text. Nhanh lắm mà chuẩn xác nữa.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chào mọi người. Cho mình hỏi ké vào đây với chẳng mình chưa biết cách tạo bài việt trên diễn đàn.

Mình đang vẽ 2d một sảng phẩm, mình xuất từ NX sang, nhưng giờ mình muốn copy 3 hình chiếu trên bản cad đó ra 3 file riêng lại ko copy được.

( mình copy nhưng lúc nào cũng chỉ copy được một hình chiếu thôi).

Bạn nào biết các sửa thì chỉ cho mình với. và có thể copy ra 3 file hộ mình với ạ. Mình xin cả ơn.

http://www.mediafire.com/file/9000eyvu4wa2ktd/sanphamlamdoan.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chào mọi người. Cho mình hỏi ké vào đây với chẳng mình chưa biết cách tạo bài việt trên diễn đàn.

Mình đang vẽ 2d một sảng phẩm, mình xuất từ NX sang, nhưng giờ mình muốn copy 3 hình chiếu trên bản cad đó ra 3 file riêng lại ko copy được.

( mình copy nhưng lúc nào cũng chỉ copy được một hình chiếu thôi).

Bạn nào biết các sửa thì chỉ cho mình với. và có thể copy ra 3 file hộ mình với ạ. Mình xin cả ơn.

http://www.mediafire.com/file/9000eyvu4wa2ktd/sanphamlamdoan.dwg

https://drive.google.com/file/d/0B-3fZ45DSr_XMGMzUnJETkhhWGs/view?usp=sharing

 

Xuat thành 2D luôn ^_^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Xin chào, mình sử dụng Cad 2016, khi dùng các lisp cũ để xuất tọa độ đều bị báo lỗi. Xin hỏi cad 2016 xuất bằng cách nào và các lisp nào phù hợp với verson này ạ ?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×